
/**
 * Class for a water tank object:  fills up and dispenses 
 * 
 * @author John Paul Vergara
 * @version 08/03/2005
 */

public class WaterTank
{
    private double maxCapacity;
    private double waterLeft;
    
    public WaterTank( int maxCapacity )
    {
        this.maxCapacity = maxCapacity;
    }
    
    public void fillTank()
    {
        System.out.println( "Filling tank..." );
        waterLeft = maxCapacity;
    }
    
    public void dispense( double amount )
    {
        System.out.println( "dispensing..." );
        waterLeft -= amount;
        if ( waterLeft <= 0 )
        {
            System.out.println( "Tank is now empty" );
            waterLeft = 0;
        }
    }
    
    public double getWaterLeft()
    {
        return waterLeft;
    }
    
}
